Spis treści
Indeks 🔎︎

# Parametry startowe programu Java

Za pomocą tego okna dialogowego można wpisać opcjonalne parametry startowe środowiska Java (JRE). Ustawienia określone w tym oknie dialogowym obowiązują dla każdego uruchomionego środowiska JRE.

Aby wykonać tę operację...

Wybierz LibreOffice - Preferencje Narzędzia - Opcje - LibreOffice - Zaawansowane.

## Parametr startowy programu Java

Wprowadź parametr startowy środowiska JRE w taki sposób, jak w wierszu poleceń. Aby dodać parametr do listy parametrów uruchamiania, kliknij przycisk Przypisz.

Nazwy ścieżek nie mogą zawierać znaków kontrolnych, cudzysłowów ani apostrofów.

Na przykład aby wskazać właściwość systemową "wlasciw", wprowadź następujący parametr:

-Dwlasciw=c:\program files\java

Aby włączyć debugowanie środowiska JRE, wpisz następujące parametry:

-Xdebug

-Xrunjdwp:transport=dt_socket,server=y,address=8000

Zmiany obowiązują od chwili ponownego uruchomienia pakietu LibreOffice.

### Przypisane parametry startowe

Zawiera przypisane parametry startowe środowiska JRE. Aby usunąć parametr, wybierz go, a następnie kliknij przycisk Usuń.

### Dodaj

Dodaje bieżący parametr startowy JRE do listy.

### Edytuj

Otwiera okno dialogowe, gdzie można edytować wybrany parametr startowy JRE.

### Usuń

Usuwa wybrany parametr startowy JRE.